<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="modal-header">
        <h2>
            Create or edit a section
        </h2>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;
        </button>
    </div>
    <div class="modal-body">
        <div class="form-group">
            <div class="col-md-12">
                <label class="form-control-label">Time from - time to</label>
            </div>
            <div class="col-md-12 time-group">
                <input type="time" class="form-control col-md-6" name="timeFrom"
                       [(ngModel)]="section.timeFrom" required> -
                <input type="time" class="form-control col-md-6" name="timeTo"
                       [(ngModel)]="section.timeTo" required>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label">Name</label>
            <input type="text" class="form-control" name="name"
                   [(ngModel)]="section.name">
        </div>
        <div class="form-group">
            <label class="form-control-label">Title</label>
            <input type="text" class="form-control" name="title"
                   [(ngModel)]="section.title">
        </div>
        <div class="form-group">
            <label class="form-control-label">Chairs</label>
            <input type="text" class="form-control" name="chair"
                   [(ngModel)]="section.chair">
        </div>
        <div class="form-group">
            <label class="form-control-label">Assistants</label>
            <input type="text" class="form-control" name="assistants"
                   [(ngModel)]="section.assistants">
        </div>
        <!--        <div class="form-group">-->
        <!--            <label class="form-control-label" for="description">Description</label>-->
        <!--            <textarea class="form-control" name="description" id="description" rows="5"-->
        <!--                      [(ngModel)]="section.description"></textarea>-->
        <!--        </div>-->
        <div class="form-check">
            <label class="form-check-label" for="forAll">
                <input class="form-check-input" type="checkbox" id="forAll" name="forAll" [(ngModel)]="section.forAll">
                <span>Section for all</span>
            </label>
        </div>
        <div class="form-group">
            <label class="form-control-label">Room</label>
            <input type="text" class="form-control" name="room" [(ngModel)]="section.room">
        </div>
        <div class="form-row">
            <button *hasAnyRole="'SUPERADMIN'" type="button" class="btn btn-primary float-right" (click)=addArticle()>
                <fa-icon [icon]="'plus'"></fa-icon>
                <span>Add article</span>
            </button>
        </div>
        <ng-container *ngFor="let article of articles">
            <div class="form-group">
                <label class="form-control-label">Authors</label>
                <input type="text" class="form-control" [name]="article.authors" [(ngModel)]="article.authors" required
                       [ngModelOptions]="{standalone: true}">
                <label class="form-control-label">Title</label>
                <input type="text" class="form-control" [name]="article.title" [(ngModel)]="article.title" required
                       [ngModelOptions]="{standalone: true}">
                <label class="form-control-label">Abstract</label>
                <textarea type="text" class="form-control" [name]="article.abstractText"
                          [(ngModel)]="article.abstractText" required [ngModelOptions]="{standalone: true}"
                          rows="5"></textarea>
                <label class="form-control-label">User</label>
                <app-search-users
                    [article]="article"
                    [usersOfElement]="[article.user]"
                    (selectedUser)="selectedUser($event)" >
                </app-search-users>
                <label *ngIf="!article.filename" class="form-control-label">Upload presentation</label>
                <label *ngIf="article.filename" class="form-control-label">Article presentation</label>
                <a download="{{article.filename}}" target="_blank" href="{{uploadDirectory}}/{{article.filename}}">
                    {{article.filename}}
                </a>
                <input type="file" class="form-control form-row" (change)="getFileDetails($event, article)">
                <button *hasAnyRole="'SUPERADMIN'" type="button" class="btn btn-danger" (click)=deleteArticle(article)>
                    <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Delete</span>
                </button>
            </div>
        </ng-container>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
